NSX-T Data Center REST API

Patch a Tier-1 segment port

Create a Tier-1 segment port if it does not exist based on the IDs, or update existing port
information by replacing the port object fields which presents in the request body.

Request:

Method:
PATCH
URI Path(s):
/policy/api/v1/infra/tier-1s/{tier-1-id}/segments/{segment-id}/ports/{port-id}
/policy/api/v1/global-infra/tier-1s/{tier-1-id}/segments/{segment-id}/ports/{port-id}
/policy/api/v1/orgs/{org-id}/projects/{project-id}/infra/tier-1s/{tier-1-id}/segments/{segment-id}/ports/{port-id}
Request Headers:
n/a
Query Parameters:
n/a
Request Body:
SegmentPort+

Example Request:

PATCH https://<policy-mgr>/policy/api/v1/infra/tier-1s/cgw/segments/web-tier/ports/port1 { "address_bindings": [ { "ip_address":"1.1.1.1", "mac_address":"aa:bb:cc:dd:ee:ff" }, { "ip_address":"1.1.1.2", "mac_address":"aa:bb:cc:dd:ee:f1" } ], "tags": [ {"tag":"port-1 tag 1 from Policy","scope":"Policy"} ] }

Successful Response:

Response Code:
200 OK
Response Headers:
n/a
Response Body:
n/a

Example Response:

200 OK

Required Permissions:

crud

Feature:

policy_segment

Additional Errors: